Bug 806856 - [abrt] bash-4.2.24-1.fc16: add_or_supercede_exported_var: Process /bin/bash was killed by signal 11 (SIGSEGV)
[abrt] bash-4.2.24-1.fc16: add_or_supercede_exported_var: Process /bin/bash w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
abrt_hash:36256ebe93ea0521856a519f077...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 07:14 EDT by chedi toueiti
Modified: 2014-01-12 19:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:40:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (6.32 KB, text/plain)
2012-03-26 07:14 EDT, chedi toueiti
no flags Details
File: backtrace (17.20 KB, text/plain)
2012-03-26 07:14 EDT, chedi toueiti
no flags Details

  None (edit)
Description chedi toueiti 2012-03-26 07:14:07 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /bin/sh -c 'set -e; \t   echo \'  CC      fs/isofs/compress.o\'; gcc -Wp,-MD,fs/isofs/.compress.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-redhat-linux/4.6.3/include -I/home/chedi/Downloads/linux-3.3/arch/x86/include -Iarch/x86/include/generated -Iinclude  -include /home/chedi/Downloads/linux-3.3/include/linux/kconfig.h -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -O2 -m64 -march=core2 -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -fstack-protector -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -Wframe-larger-than=2048 -Wno-unused-but-set-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -g -pg -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fconserve-stack -DCC_HAVE_ASM_GOTO    -D\"KBUILD_STR(s)=#s\" -D\"KBUILD_BASENAME=KBUILD_STR(compress)\"  -D\"KBUILD_MODNAME=KBUILD_STR(isofs)\" -c -o fs/isofs/compress.o fs/isofs/compress.c;   if [ \"-pg\" = \"-pg\" ]; then if [ fs/isofs/compress.o != \"scripts/mod/empty.o\" ]; then /home/chedi/Downloads/linux-3.3/scripts/recordmcount  \"fs/isofs/compress.o\"; fi; fi; scripts/basic/fixdep fs/isofs/.compress.o.d fs/isofs/compress.o \'gcc -Wp,-MD,fs/isofs/.compress.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-redhat-linux/4.6.3/include -I/home/chedi/Downloads/linux-3.3/arch/x86/include -Iarch/x86/include/generated -Iinclude  -include /home/chedi/Downloads/linux-3.3/include/linux/kconfig.h -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -O2 -m64 -march=core2 -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -fstack-protector -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -Wframe-larger-than=2048 -Wno-unused-but-set-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -g -pg -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fconserve-stack -DCC_HAVE_ASM_GOTO    -D\"KBUILD_STR(s)=\\#s\" -D\"KBUILD_BASENAME=KBUILD_STR(compress)\"  -D\"KBUILD_MODNAME=KBUILD_STR(isofs)\" -c -o fs/isofs/compress.o fs/isofs/compress.c\' > fs/isofs/.compress.o.tmp; rm -f fs/isofs/.compress.o.d; mv -f fs/isofs/.compress.o.tmp fs/isofs/.compress.o.cmd'
crash_function: add_or_supercede_exported_var
executable:     /bin/bash
kernel:         3.3.0-4.fc16.x86_64
pid:            20675
pwd:            /home/chedi/Downloads/linux-3.3
reason:         Process /bin/bash was killed by signal 11 (SIGSEGV)
time:           Mon 26 Mar 2012 12:57:50 PM CET
uid:            1000
username:       chedi

backtrace:      Text file, 17612 bytes
environ:        Text file, 6471 bytes

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332513736
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1332513739
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332513730
:/bin/bash bash-4.2.24-1.fc16.x86_64 (Fedora Project) 1332513741
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332513736
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332513736
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1332513683
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332513736

maps:
:00400000-004da000 r-xp 00000000 fd:01 1703967                            /bin/bash
:006d9000-006da000 r--p 000d9000 fd:01 1703967                            /bin/bash
:006da000-006e3000 rw-p 000da000 fd:01 1703967                            /bin/bash
:006e3000-006e9000 rw-p 00000000 00:00 0 
:008e2000-008eb000 rw-p 000e2000 fd:01 1703967                            /bin/bash
:01bfa000-01c1b000 rw-p 00000000 00:00 0                                  [heap]
:386ac00000-386ac22000 r-xp 00000000 fd:01 1456583                        /lib64/ld-2.14.90.so
:386ae21000-386ae22000 r--p 00021000 fd:01 1456583                        /lib64/ld-2.14.90.so
:386ae22000-386ae23000 rw-p 00022000 fd:01 1456583                        /lib64/ld-2.14.90.so
:386ae23000-386ae24000 rw-p 00000000 00:00 0 
:386b000000-386b1ad000 r-xp 00000000 fd:01 1456584                        /lib64/libc-2.14.90.so
:386b1ad000-386b3ad000 ---p 001ad000 fd:01 1456584                        /lib64/libc-2.14.90.so
:386b3ad000-386b3b1000 r--p 001ad000 fd:01 1456584                        /lib64/libc-2.14.90.so
:386b3b1000-386b3b3000 rw-p 001b1000 fd:01 1456584                        /lib64/libc-2.14.90.so
:386b3b3000-386b3b8000 rw-p 00000000 00:00 0 
:386b800000-386b802000 r-xp 00000000 fd:01 1456590                        /lib64/libdl-2.14.90.so
:386b802000-386ba02000 ---p 00002000 fd:01 1456590                        /lib64/libdl-2.14.90.so
:386ba02000-386ba03000 r--p 00002000 fd:01 1456590                        /lib64/libdl-2.14.90.so
:386ba03000-386ba04000 rw-p 00003000 fd:01 1456590                        /lib64/libdl-2.14.90.so
:386c800000-386c815000 r-xp 00000000 fd:01 1456599                        /lib64/libgcc_s-4.6.3-20120306.so.1
:386c815000-386ca14000 ---p 00015000 fd:01 1456599                        /lib64/libgcc_s-4.6.3-20120306.so.1
:386ca14000-386ca15000 rw-p 00014000 fd:01 1456599                        /lib64/libgcc_s-4.6.3-20120306.so.1
:387c000000-387c023000 r-xp 00000000 fd:01 1456620                        /lib64/libtinfo.so.5.9
:387c023000-387c222000 ---p 00023000 fd:01 1456620                        /lib64/libtinfo.so.5.9
:387c222000-387c226000 r--p 00022000 fd:01 1456620                        /lib64/libtinfo.so.5.9
:387c226000-387c227000 rw-p 00026000 fd:01 1456620                        /lib64/libtinfo.so.5.9
:2b74773e9000-2b74773ea000 rw-p 00000000 00:00 0 
:2b74773fd000-2b7477400000 rw-p 00000000 00:00 0 
:2b7477400000-2b747d823000 r--p 00000000 fd:01 1180755                    /usr/lib/locale/locale-archive
:2b747d823000-2b747d82a000 r--s 00000000 fd:01 1180754                    /usr/lib64/gconv/gconv-modules.cache
:2b747d82a000-2b747d82b000 rw-p 00000000 00:00 0 
:7fff43747000-7fff4376a000 rw-p 00000000 00:00 0                          [stack]
:7fff437ff000-7fff43800000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: b8abfef2-fce5-460c-a09f-173c2b84091a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6185.87
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3101
:System Memory: 3851
:System Swap: 3839
:Vendor: Dell Inc.
:System: OptiPlex 390 01
:Form factor: Mini Tower
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4136:1269) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:258:4136:1269) pci, None, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7168:4136:1269) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
:(32902:7184:4136:1269) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7260:4136:1269) pci, None, PCI/ISA, H61 Express Chipset Family LPC Controller
:(32902:7192:4136:1269) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1269) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4136:1269) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1269) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7176:4136:1269) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
:(32902:7213:4136:1269) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1269) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:4136:1269) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1269) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 11805102 11149742 3276800 3123888 3123888
:/dev/sda2 /boot ext4 1024 1024 508745 458745 433145 128016 127796 127796
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 107754689 105526684 100133072 26968064 26911394 26911394
:

var_log_messages:
:Mar 23 16:14:57 localhost gnome-session[1187]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 09:48:58 localhost gnome-session[1082]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 10:51:52 localhost gnome-session[1157]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 12:05:28 localhost gnome-session[1138]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 12:21:30 localhost gnome-session[1153]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 12:22:15 localhost gnome-session[1772]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 12:45:05 localhost gnome-session[4173]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Mar 26 12:57:50 localhost kernel: [ 2204.546043] sh[20675]: segfault at 1c888b0 ip 0000000000437d79 sp 00007fff43765e40 error 4 in bash[400000+da000]
:Mar 26 12:57:50 localhost abrt[20682]: Saved core dump of pid 20675 (/bin/bash) to /var/spool/abrt/ccpp-2012-03-26-12:57:50-20675 (495616 bytes)
Comment 1 chedi toueiti 2012-03-26 07:14:12 EDT
Created attachment 572741 [details]
File: environ
Comment 2 chedi toueiti 2012-03-26 07:14:16 EDT
Created attachment 572742 [details]
File: backtrace
Comment 3 Fedora End Of Life 2013-01-16 12:13:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 16:40:46 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.